[CmdletBinding()]
param (
    [Parameter(Mandatory=$true)][String]$AppID  #AppID from the Micrososft Store URL. Looks like this: 9n0dx20hk701
)
#Get PackageFamilyName from MS API
$DataURL = "https://bspmts.mp.microsoft.com/v1/public/catalog/Retail/Products/$($AppID)/applockerdata"
try {
    $packageFamilyName = (Invoke-RestMethod -Method Get -Uri $DataURL).packageFamilyName
}
catch [Exception] {
    write-error $_
    exit 1
}

#Get Full App Inventory from WMI
try {
    [xml]$AppInventory = (Get-WmiObject -Namespace "root\cimv2\mdm\dmmap" -Class "MDM_EnterpriseModernAppManagement_AppManagement01").AppInventoryResults
}
catch [Exception]{
    write-error $_
    exit 1
}

#Search for App in Inventory and Exit the Script with 0 for found and 1 for not found 
if (($AppInventory.Packages.Package | Select-object PackageFamilyName -Unique | Where-Object PackageFamilyName -eq $packageFamilyName)) {
    exit 0
}else{
    exit 1
}