[CmdletBinding()]
param (
    [Parameter(Mandatory=$true)][String]$AppID  #AppID from the Micrososft Store URL. Looks like this: 9n0dx20hk701
)
#Get PackageFamilyName from MS API
$DataURL = "https://bspmts.mp.microsoft.com/v1/public/catalog/Retail/Products/$($AppID)/applockerdata"
try {
    $packageFamilyName = (Invoke-RestMethod -Method Get -Uri $DataURL).packageFamilyName
}
catch [Exception] {
    write-error $_
    exit 1
}

#Find Installed Apps with provided Name and start uninstall
[array]$InstalledApps = Get-AppxPackage -AllUsers | Where-Object PackageFamilyName -eq $packageFamilyName
if ($InstalledApps.count -ge 1) {
    foreach ($App in $InstalledApps) {
        Remove-AppxPackage -Package $App.PackageFullName -AllUsers | Out-null
    }
}

#Find Installed Apps again to Check if App is removed Successfully and exit
[array]$InstalledApps = Get-AppxPackage -AllUsers | Where-Object PackageFamilyName -eq $packageFamilyName
if ($InstalledApps.count -eq 0) {
    exit 0 #uninstall successfully
}else{
    exit 1 #App is still present
}